View Issue Details

IDProjectCategoryView StatusLast Update
0000194Adventure PHP FrameworkNeues Feature // New Featurepublic2015-10-29 16:45
ReporterChristianAchatzAssigned ToChristianAchatz 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version2.1 
Target Version3.1Fixed in Version3.1 
Summary0000194: Introduce Composer support for the APF
DescriptionAlong with 0000136 Composer introduction has been discussed as an additional topic. With this issue, the APF should be made ready to be used with Composer.

For details and links, see comments in 0000136.

In addition, classes should be split up to separate files consequently to easily allow PSR-0/PSR-4 class loading.
TagsNo tags attached.
Codereferenz: ([Datei]:[Zeile])
Namespacenone

Relationships

parent of 0000136 closedChristianAchatz Kritik am APF: Mögliche Verbesserungen 

Activities

ChristianAchatz

2014-06-23 23:14

administrator   ~0000410

Files with duplicate classes:

$ grep -ER "^class [A-Z]" * | cut -d ":" -f1 | sort | uniq -c | sort --key=1,8 -r | grep -v " 1 "
     11 core/pagecontroller/pagecontroller.php
     10 tests/suites/tools/link/LinkGeneratorTest.php
      6 extensions/apfelsms/biz/SMSManager.php
      3 tools/link/LinkGenerator.php
      3 core/frontcontroller/Frontcontroller.php
      2 tools/html/taglib/HtmlIteratorTag.php
      2 tools/filesystem/FilesystemManager.php
      2 extensions/postbox/biz/RecipientList.php
      2 extensions/postbox/biz/PostboxFolder.php
      2 extensions/postbox/biz/MessageChannel.php
      2 extensions/postbox/biz/Message.php
      2 extensions/news/biz/News.php
      2 core/logging/Logger.php
      2 core/loader/RootClassLoader.php

ChristianAchatz

2014-06-24 23:13

administrator   ~0000411

Last edited: 2014-06-24 23:18

View 2 revisions

Removed/split up files with multiple classes in "master". Adapted coding conventions under http://wiki.adventure-php-framework.org/APF_Coding_Standard accordingly.

ChristianAchatz

2014-07-18 09:27

administrator   ~0000462

Here are some links that might help introducing/seting up composer:

- https://getcomposer.org/doc/04-schema.md#json-schema
- http://composer.json.jolicode.com/
- https://getcomposer.org/doc/faqs/how-do-i-install-a-package-to-a-custom-path-for-my-framework.md

ChristianAchatz

2015-09-05 17:09

administrator   ~0000597

Basic support already available (automatic download of releases or GitHub status). Providing APF als a release as a Composer package postponed.

Moved to 3.2 to shape scope for 3.1.

ChristianAchatz

2015-10-22 20:56

administrator   ~0000625

Last edited: 2015-10-22 21:18

View 2 revisions

Introduces basic composer.json with project description and PHPUnit reference.

Worked around PHPUnit 5.0.5 issue with PHPStorm 9.0.X using https://github.com/sebastianbergmann/php-code-coverage/issues/390.

ChristianAchatz

2015-10-29 16:45

administrator   ~0000629

Closing this issue as the current code structure supports both PSR-0 and PSR-4 composer-based auto loading w/o mapping.

Issue History

Date Modified Username Field Change
2014-05-18 00:50 ChristianAchatz New Issue
2014-05-18 00:51 ChristianAchatz Relationship added parent of 0000136
2014-06-17 09:54 ChristianAchatz Description Updated View Revisions
2014-06-23 13:40 ChristianAchatz Description Updated View Revisions
2014-06-23 23:14 ChristianAchatz Note Added: 0000410
2014-06-24 23:13 ChristianAchatz Note Added: 0000411
2014-06-24 23:18 ChristianAchatz Note Edited: 0000411 View Revisions
2014-07-18 09:27 ChristianAchatz Note Added: 0000462
2015-01-28 19:12 ChristianAchatz Target Version 3.0 => 3.1
2015-09-05 17:09 ChristianAchatz Note Added: 0000597
2015-09-05 17:09 ChristianAchatz Target Version 3.1 => 3.2
2015-10-22 20:56 ChristianAchatz Note Added: 0000625
2015-10-22 21:18 ChristianAchatz Note Edited: 0000625 View Revisions
2015-10-29 16:45 ChristianAchatz Note Added: 0000629
2015-10-29 16:45 ChristianAchatz Status new => resolved
2015-10-29 16:45 ChristianAchatz Fixed in Version => 3.1
2015-10-29 16:45 ChristianAchatz Resolution open => fixed
2015-10-29 16:45 ChristianAchatz Assigned To => ChristianAchatz
2015-10-29 16:45 ChristianAchatz Target Version 3.2 => 3.1